
QGIS Application - Bug report #7742

can't join table created with delimited text plugin
Status: Closed

Priority: Severe/Regression

Assignee: Chris Crook

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16647

Description

Hi, 

this is a regression, i can't join a table imported with new improved delimited text core plugin.

Table simply doesn't show up in table list in join tab.

Régis

History

#1 - 2013-04-30 12:50 PM - Chris Crook

Thanks Régis.

It turns out I've already submitted a pull request https://github.com/qgis/Quantum-GIS/pull/569 that addresses this.  Vector layers must implement subset

strings in order to be available for joining.  I wanted this capability for other reasons (visualisation of subsets) - joining to other tables was an accidental

consequence!

I'm not sure if this is technically a regression, as I'm not sure if it was ever available as a capability (see comments in pull request).

#2 - 2013-04-30 12:57 PM - Chris Crook

- Pull Request or Patch supplied changed from No to Yes

#3 - 2013-05-08 03:51 AM - Regis Haubourg

- % Done changed from 0 to 100

- Status changed from Open to Closed

Issue seems fixed to me. I close it, we need to start some cleanup on bug reports ;-)

#4 - 2013-05-08 03:52 AM - Regis Haubourg

I forgot the most important thing: thanks !
https://github.com/qgis/Quantum-GIS/pull/569

